<?php

App::uses('FormHelper', 'View/Helper');

class TinyMCEHelper extends AppHelper
{
    var $helpers = Array('Html');

    /**
     * load TinyMCE
     * @param int $id
     * @version 5.0
     * @since 4.0
     */
    function load($class, $disable = false)
    {
        $code = '$(document).ready(function () {
                tinymce.baseURL = "/js/tinymce";
                tinymce.init({'. ($disable ? 'readonly : true,' : '').'
                    mode : "specific_textareas",
                    browser_spellcheck: true,
                    language_url : "/js/components/tinymce-i18n/langs/fr_FR.js",
                    editor_selector: \'' . $class . '\',
                    toolbar: \'formatselect | bold italic strikethrough forecolor backcolor permanentpen formatpainter | link image pageembed | alignleft aligncenter alignright alignjustify  | numlist bullist outdent indent | removeformat | addcomment\',
                    plugins: \'lists table wordcount link image imagetools help\'
                })'
        .'});';

        return $this->Html->scriptBlock($code);
    }

}
